Package de.willuhn.jameica.hbci.schedule

# Class SepaLastschriftScheduleProvider

java.lang.Object
de.willuhn.jameica.hbci.schedule.AbstractTransferScheduleProvider<SepaLastschrift>
de.willuhn.jameica.hbci.schedule.SepaLastschriftScheduleProvider

All Implemented Interfaces:
  `ScheduleProvider<SepaLastschrift>`

@Lifecycle(REQUEST) public class SepaLastschriftScheduleProvider extends AbstractTransferScheduleProvider<SepaLastschrift>
Implementierung eines Schedule-Providers fuer offene SEPA-Lastschriften.

## Constructor Summary

Constructors
Constructor
Description
`SepaLastschriftScheduleProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.

### Methods inherited from class de.willuhn.jameica.hbci.schedule.AbstractTransferScheduleProvider

`getSchedules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaLastschriftScheduleProvider

public SepaLastschriftScheduleProvider()

## Method Details

### getName

public String getName()
Description copied from interface: `ScheduleProvider`
Liefert einen sprechenden Namen fuer den Provider.

Returns:
  sprechender Name fuer den Provider.